<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::kernel_derivative&lt; sigmoid_kernel&lt; T &gt; &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1kernel__derivative_3_01sigmoid__kernel_3_01_t_01_4_01_4.html">kernel_derivative&lt; sigmoid_kernel&lt; T &gt; &gt;</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1kernel__derivative_3_01sigmoid__kernel_3_01_t_01_4_01_4-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::kernel_derivative&lt; sigmoid_kernel&lt; T &gt; &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ad1fe4d29c41e996d50e5e7fddd3e6f28"><td class="memItemLeft" align="right" valign="top"><a id="ad1fe4d29c41e996d50e5e7fddd3e6f28"></a>
typedef T::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:ad1fe4d29c41e996d50e5e7fddd3e6f28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc8d42c58cebcd083987c65fee105348"><td class="memItemLeft" align="right" valign="top"><a id="adc8d42c58cebcd083987c65fee105348"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:adc8d42c58cebcd083987c65fee105348"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4bd1a8e566cc7776efe2aa5eca0d1cd"><td class="memItemLeft" align="right" valign="top"><a id="ae4bd1a8e566cc7776efe2aa5eca0d1cd"></a>
typedef T::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ae4bd1a8e566cc7776efe2aa5eca0d1cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a012593940afca9ea876cb8f6c6d999f3"><td class="memItemLeft" align="right" valign="top"><a id="a012593940afca9ea876cb8f6c6d999f3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_derivative</b> (const <a class="el" href="structdlib_1_1sigmoid__kernel.html">sigmoid_kernel</a>&lt; T &gt; &amp;k_)</td></tr>
<tr class="separator:a012593940afca9ea876cb8f6c6d999f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa10c1b6d752fdaa1f7e112a0de9a5a0"><td class="memItemLeft" align="right" valign="top"><a id="aaa10c1b6d752fdaa1f7e112a0de9a5a0"></a>
const sample_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const sample_type &amp;x, const sample_type &amp;y) const</td></tr>
<tr class="separator:aaa10c1b6d752fdaa1f7e112a0de9a5a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9c87d35f3ac88f11ed9c3ffa4addfbf3"><td class="memItemLeft" align="right" valign="top"><a id="a9c87d35f3ac88f11ed9c3ffa4addfbf3"></a>
const <a class="el" href="structdlib_1_1sigmoid__kernel.html">sigmoid_kernel</a>&lt; T &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>k</b></td></tr>
<tr class="separator:a9c87d35f3ac88f11ed9c3ffa4addfbf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aada9ee7b81c6342d2850b050a073fbb5"><td class="memItemLeft" align="right" valign="top"><a id="aada9ee7b81c6342d2850b050a073fbb5"></a>
sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>temp</b></td></tr>
<tr class="separator:aada9ee7b81c6342d2850b050a073fbb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="kernel_8h_source.html">kernel.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
